/*---------------------------------------------------------------------------*
Project: OLV
File: olv_Types.h

Copyright (C) 2009-2013 Nintendo. All rights reserved.

These coded instructions, statements, and computer programs contain
proprietary information of Nintendo of America Inc. and/or Nintendo
Company Ltd., and are protected by Federal copyright law.  They may
not be disclosed to third parties or copied or duplicated in any form,
in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/
#ifndef __OLV_TYPES_H_
#define __OLV_TYPES_H_

/*! @file
@brief These are type declarations for the OLV library.
*/

#include <nn/olv/olv_TypesInitialize.h>
#include <nn/olv/olv_TypesResume.h>
#include <nn/olv/olv_TypesConnect.h>
#include <nn/olv/olv_TypesDownloadedDataBase.h>
#include <nn/olv/olv_TypesDownloadCommunityData.h>
#include <nn/olv/olv_TypesDownloadPostData.h>
#include <nn/olv/olv_TypesDownloadCommentData.h>
#include <nn/olv/olv_TypesDownloadUserData.h>
#include <nn/olv/olv_TypesUploadCommunityData.h>
#include <nn/olv/olv_TypesUploadFavoriteToCommunityData.h>
#include <nn/olv/olv_TypesUploadEmpathyToPostData.h>
#include <nn/olv/olv_TypesUploadFollowToUserData.h>
#include <nn/olv/olv_TypesStartPortalApp.h>


#endif
